Package org.flowable.cmmn.model

# Class CmmnElement

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement

All Implemented Interfaces:
  `HasExtensionAttributes`

Direct Known Subclasses:
  `Association`, `Case`, `CaseElement`, `Decision`, `FlowableListener`, `Process`, `SentryIfPart`, `SentryOnPart`, `TextAnnotation`

public class CmmnElement extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `documentation`
  `protected String`
  `documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CmmnElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocumentation()`
  `String`
  `getDocumentationTextFormat()`
  `void`
  `setDocumentation(String documentation)`
  `void`
  `setDocumentationTextFormat(String documentationTextFormat)`
  `void`
  `setValues(CmmnElement otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### documentationTextFormat

    protected String documentationTextFormat

  - ### documentation

    protected String documentation

- ## Constructor Details

  - ### CmmnElement

    public CmmnElement()

- ## Method Details

  - ### getDocumentationTextFormat

    public String getDocumentationTextFormat()

  - ### setDocumentationTextFormat

    public void setDocumentationTextFormat(String documentationTextFormat)

  - ### getDocumentation

    public String getDocumentation()

  - ### setDocumentation

    public void setDocumentation(String documentation)

  - ### setValues

    public void setValues(CmmnElement otherElement)